Template:Main Page Games/Styles.css

Revision as of 13:18, 10 March 2025 by template>PhantomCaleb (Not opposed to the scale transformation in theory, but as a matter of brand integrity, logos should not be clipped even a little. Let's discuss further.)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
/* [[Category:Template Styles]] */

.zw-mp-games {
	display: flex;
	flex-flow: row wrap;
	justify-content: center;
	gap: 0.25rem;
}

.zw-mp-games__tile {
	position: relative;
	cursor: pointer;
	overflow: hidden;
	text-shadow: 2px 2px 4px #000000;
}

.zw-mp-games__tile:hover .zw-mp-games__tile-img {
	/* Currently disabled as the transformation clips the watermark and the game logo. Further discussion needed. */
	/*transform: scale(1.05);*/
}

.zw-mp-games__tile-img {
	transition: transform 0.3s;
	z-index: 1;
}
.zw-mp-games__tile-img img {
	width: 100%;
	height: auto;
}

.zw-mp-games__tile-shader {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	z-index: 2;
	
	background-color: rgba(0, 0, 0, 0.6);
	transition: background 0.3s;
}
.zw-mp-games__tile:hover .zw-mp-games__tile-shader {
	background: none;
}

.zw-mp-games__tile-year {
	position: absolute;
	bottom: 16px;
	left: 10px;
	z-index: 3;

	font-size: 0.75rem;
	line-height: 0;
	transition: opacity 0.3s;
}
.zw-mp-games__tile:hover .zw-mp-games__tile-year {
	opacity: 0;
}

.zw-mp-games__tile-link {
	position: absolute;
	width: 100%;
	height: 100%;
	z-index: 4;
	
	transition: opacity 0.3s;
}
.zw-mp-games__tile:hover .zw-mp-games__tile-link {
	opacity: 0;
}

.zw-mp-games__tile-link a {
	width: 100%;
	height: 100%;
	
	box-sizing: border-box;
	font-size: 1.5rem;
	line-height: 1.75rem;
	padding: 0 0.25rem;
	
	color: rgba(255, 255, 255, 0.9);
	text-decoration: none;
	
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
}

.zw-mp-games__group-logo {
	flex-basis: 100%;
	margin-top: 4rem;
	margin-bottom: 0.5rem;
	text-align: center;
}